<div class="all">
<section class="">
    <div class="container">
        <div class="page-title-content" style="    padding-top: 4%;">
            <h1 *ngIf="lang">{{ser.name_ar}}</h1>
            <h1 *ngIf="!lang">{{ser.name_en}}</h1>
        </div>
    </div>


</section>

<section class="products-details-area ptb-100 " [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
    <div class="product-infinitescroll" *ngIf="!finished">
        <div class="theme-paggination-block">
            <div class="container-fluid p-0">
                <div class="row">
                    <div class="text-center col-sm-12">
                        <div class="infinite-scrolling mt-4 mb-4 d-inline-block">
                            <img src="../../../../assets/img/myImage/loader3.png">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container" *ngIf="finished">
        <div class="row ">
            <div class="col-lg-5 col-md-12">
                <div class="products-details-image">

                    <img src="{{ser.avatar}}" alt="image"  [ngStyle]="{'float': lang ?  'right': 'left' }">

                </div>
            </div>

            <div class="col-lg-7 col-md-12">

                <div class="products-details-desc">
                    <h3 *ngIf="lang" style="text-align: right;">{{ser.name_ar}}</h3>
                    <h3 *ngIf="!lang" style="text-align: left;">{{ser.name_en}}</h3>
                    <h3  style="text-align: justify;">{{'dess'| translate }}</h3>
                    <p *ngIf="lang" style="text-align: justify;">{{ser.short_description_ar}}</p>
                    <p *ngIf="!lang" style="text-align: justify;">{{ser.short_description_en}}</p>

                    <h3  style="text-align: justify;">{{'addinfo'| translate }}</h3>
                         
                    <p *ngIf="lang" style="text-align: justify;">{{ser.long_description_ar}}</p>
                    <p *ngIf="!lang" style="text-align: justify;">{{ser.long_description_en}}</p>
                         <h3 style="text-align: justify;">{{'thousand'| translate }}</h3>
                         <p style="text-align: justify;">{{ser.unit_price}}</p>
                         <h3 style="text-align: justify;">{{'min'| translate }}</h3>
                         <p style="text-align: justify;">{{min}}</p>
                         <h3 style="text-align: justify;">{{'max'| translate }}</h3>
                         <p style="text-align: justify;">{{max}}</p>
                    <div class="products-meta" [ngStyle]="{'float': lang ?  'right': 'left' }"
                        style="text-align: justify;">
                        <h3 *ngIf="lang && !array" >اختر السعر والكمية </h3>
                        <h3 *ngIf="!lang && !array">choose price and quantity</h3>
                        <div class="row" >
                            <div class="col-lg-4 col-sm-12" *ngFor="let serviceqp of service_quantity_price ;let i = index">
                                <div class="card1"  (click)="click(serviceqp.id,i)">
                                    <span> {{'quantity'| translate }}: <span class="sku">{{serviceqp.quantity}}</span></span>
                                    <!-- new price not null -->
                                    <!-- <span style=" -webkit-text-decoration-line: line-through;
                                    text-decoration-line: line-through; " *ngIf="serviceqp.new_price!=null">
                                    {{'old_price' | translat}}: <span class="in-stock" style=" -webkit-text-decoration-line: line-through;
                                        text-decoration-line: line-through; "> 
                                        {{serviceqp.old_price}}</span></span> -->
                                    <!-- new price null -->
                                    <span  *ngIf="serviceqp.new_price==null">{{'price' | translate }}: <span
                                            class="in-stock">{{serviceqp.old_price}}</span></span>
            
                                    <span *ngIf="serviceqp.new_price!=null">{{'new_price' | translate }}:
                                        <a>{{serviceqp.new_price}}</a></span>
                                        <i class="fa fa-check-square-o check" aria-hidden="true"  *ngIf="clicked[i]" style="color: #125596;"></i>
                                </div>
                            </div>
                        </div>
                      
                      
                        <!-- <button type="submit" class="default-btn" data-target="#exampl">
                            <i class="bx bx-cart" style="color: white;"></i> {{'Add to cart'| translate }}

                        </button> -->

                       <br>
                       <!-- Default || Package -->
                        <form class="form" *ngIf="original_type=='Default' || original_type=='Package'">
                            <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <!-- <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                    translate }}</h6> -->
                                    <div class="">

                                        <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                                            [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                        <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                        <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                                      <br>
                                        <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" >
                                    <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                           
                                    </div>
                                    <br>
                                    <div class="">
                                        <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                       <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                        <br>
                                        <br>
                                        
                                            <button type="button" class="default-btn" (click)="addCart()">
                                                <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                                style="color: white;" *ngIf="loading1"></i>{{'add' | translate }}
                                              
                                            </button>
                  
                                    </div>  
                            </div>
                        </form>
                        <!-- Custom Comments  || Custom Comment Package -->
                        <form class="form" *ngIf="original_type=='Custom Comments' || original_type=='Custom Comments Package'">
                            <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                    translate }}</h6>
                                    <div class="">

                                        <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                                            [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                        <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                        <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                                        <br>
                                        <input type="text" class="form-control" id="comments" placeholder="{{'comments' | translate }}"
                                            [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                        <p *ngIf="lang && commentsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                        <p *ngIf="!lang && commentsnull" style="color: red;float: left;"> please enter failed</p>

                                        <br>
                                        <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                                    </div>
                                   
                                    <br>
                                    <div class="">
                                        <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                        <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                        <br>
                                        <br>
                                        
                                        <button type="button" class="default-btn" (click)="addCart2()">{{'add' | translate }}
                                            <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                                style="color: white;" *ngIf="loading1"></i>
                                        </button>
                                        
                                      
                                    </div>  
                            </div>
                        </form>
                         <!-- Mentions || Mentions Custom List || Mentions User Followers || Comment Likes -->
                        <form class="form" 
                        *ngIf="original_type=='Mentions' || original_type=='Mentions Custom List'
                         || original_type=='Mentions User Followers' || original_type=='comment Likes'">
                            <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                    translate }}</h6>
                                    <div class="">

                                        <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                                            [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                        <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                        <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                                        <br>
                                        <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                                            [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                        <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                        <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>

                                        <br>
                                        <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                                    </div>
                                  
                                   
                                    <br>
                                    <div class="">
                                        <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                        <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                        <br>
                                        <br>
                                        <button type="button" class="default-btn" (click)="addCart3()">{{'add' | translate }}
                                            <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                                style="color: white;" *ngIf="loading1"></i>
                                        </button>
                                        
                                      
                                    </div>  
                            </div>
                        </form>
                      <!-- poll -->
                      <form class="form" 
                      *ngIf="  original_type=='Poll'" >
                          <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                              <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                  translate }}</h6>
                                  <div class="">

                                    <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                                    <br>
                                    <input type="text" class="form-control" id="answer_number"
                                        placeholder="{{'answer_number' | translate }}" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && answer_numbernull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && answer_numbernull" style="color: red;float: left;"> please enter failed</p>

                                    <br>
                                    <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                                </div>
                           
                                
                                 
                                  <br>
                                  <div class="">
                                    <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                    <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                    <br>
                                    <br>
                                    <button type="button" class="default-btn" (click)="addCart4()">{{'add' | translate }}
                                        <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                            style="color: white;" *ngIf="loading1"></i>
                                    </button>
                                      
                                    
                                  </div>  
                          </div>
                      </form>
                       <!-- Comment Replies -->
                       <form class="form" 
                       *ngIf="  original_type=='Comment Replies'" >
                           <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                               <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                   translate }}</h6>
                                   <div class="">

                                    <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                                    <br>
                                    <input type="text" class="form-control" id="comments" placeholder="{{'comments' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && commentsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && commentsnull" style="color: red;float: left;"> please enter failed</p>
                                    <br>
                                    <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>

                                    <br>
                                    <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                                </div>
                              
                            
                                 
                                  
                                   <br>
                                   <div class="">
                                    <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                    <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                    <br>
                                    <br>
                                    <button type="button" class="default-btn" (click)="addCart5()">{{'add' | translate }}
                                        <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                            style="color: white;" *ngIf="loading1"></i>
                                    </button>
                                       
                                     
                                   </div>  
                           </div>
                       </form>
                       <!-- Subscriptions -->
                       <form class="form" 
                       *ngIf="  original_type=='Subscriptions'" >
                           <div [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                               <h6 style="color: rgb(0,173,238)"> {{'Add to cart'|
                                   translate }}</h6>
                                   <div class="">
                                    <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>
                                    <br>
                                    <input type="text" class="form-control" id="posts" placeholder="{{'posts' | translate }}"
                                        [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                    <p *ngIf="lang && postsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                    <p *ngIf="!lang && postsnull" style="color: red;float: left;"> please enter failed</p>
                                    <br>
                                    <input type="text" class="form-control" id="quantity" placeholder="{{'quantity' | translate }}"
                                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                                <p *ngIf="lang && quantitynull" style="color: red;float: right;">يرجى إخال الحقل</p>
                                <p *ngIf="!lang && quantitynull" style="color: red;float: left;"> please enter failed</p>
                    
                    
                                </div>
                               
                            
                                 
                                  
                                   <br>
                                   <div class="">
                                    <button *ngIf="lang" class="default-btn" (click)="showPrice()"> اضغط لمعرفة السعر</button><b *ngIf="lang" >{{totalprice}}</b>
                                    <button *ngIf="!lang" class="default-btn" (click)="showPrice()">Click to see the price</button><b *ngIf="!lang" >{{totalprice}}</b>
                                    <br>
                                    <br>
                                    <button type="button" class="default-btn" (click)="addCart6()">{{'add' | translate }}
                                        <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                                            style="color: white;" *ngIf="loading1"></i>
                                    </button>
                                     
                                   </div>  
                           </div>
                       </form>
                    </div>


                </div>

            </div>

         
        </div>
    </div>
</section>
</div>

<!-- Default || Package -->
<div class="modal fade" *ngIf="original_type=='Default' || original_type=='Package'" id="exampleModalCenter"
    tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">

                <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
   
            </div>
        </div>
    </div>
</div>
<!-- Custom Comments  || Custom Comment Package -->
<div class="modal fade" *ngIf="original_type=='Custom Comments' || original_type=='Custom Comments Package'"
    id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">

                <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="comments" placeholder="{{'comments' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && commentsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && commentsnull" style="color: red;float: left;"> please enter failed</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart2()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
            </div>
        </div>
    </div>
</div>
<!-- Mentions || Mentions Custom List || Mentions User Followers || Comment Likes -->
<div class="modal fade" *ngIf="original_type=='Mentions' || original_type=='Mentions Custom List'
  || original_type=='Mentions User Followers' || original_type=='comment Likes'" id="exampleModalCenter" tabindex="-1"
    role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">

                <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart3()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
            </div>
        </div>
    </div>
</div>
<!-- poll -->
<div class="modal fade" *ngIf="  original_type=='Poll'" id="exampleModalCenter" tabindex="-1" role="dialog"
    aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">

                <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="answer_number"
                    placeholder="{{'answer_number' | translate }}" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && answer_numbernull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && answer_numbernull" style="color: red;float: left;"> please enter failed</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart4()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
            </div>
        </div>
    </div>
</div>
<!-- Comment Replies -->
<div class="modal fade" *ngIf="  original_type=='Comment Replies'" id="exampleModalCenter" tabindex="-1" role="dialog"
    aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">

                <input type="text" class="form-control" id="link" placeholder="{{'link' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && linknull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && linknull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="comments" placeholder="{{'comments' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && commentsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && commentsnull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart5()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
            </div>
        </div>
    </div>
</div>
<!-- Subscriptions -->
<div class="modal fade" *ngIf="  original_type=='Subscriptions'" id="exampleModalCenter" tabindex="-1" role="dialog"
    aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <h6 class="modal-title" id="exampleModalLongTitle" style="color: rgb(0,173,238)"> {{'Add to cart'|
                    translate }}</h6>

            </div>
            <div class="modal-body">
                <input type="text" class="form-control" id="usernames" placeholder="{{'usernames' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && usernamesnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && usernamesnull" style="color: red;float: left;"> please enter failed</p>
                <br>
                <input type="text" class="form-control" id="posts" placeholder="{{'posts' | translate }}"
                    [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }">
                <p *ngIf="lang && postsnull" style="color: red;float: right;">يرجى إخال الحقل</p>
                <p *ngIf="!lang && postsnull" style="color: red;float: left;"> please enter failed</p>


            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal" style="    height: 46px;">{{'close'
                    | translate }}</button>
                <button type="button" class="default-btn" (click)="addCart6()">{{'add' | translate }}
                    <i class="bx bx-cart" style="color: white;" *ngIf="!loading1"></i> <i class="fa fa-cog fa-spin"
                        style="color: white;" *ngIf="loading1"></i>
                </button>
            </div>
        </div>
    </div>
</div>